## fcoe-utils 1.0.34

=== doc/Makefile ===
## known to work with asciidoc version 8.4.5
## and the DocBook XSL Stylesheets version 1.75.2

MAN_8_TXT := fcoeadm.txt fcoemon.txt fipvlan.txt fcrls.txt fcnsq.txt fcping.txt
MAN_TXT := $(MAN_8_TXT)
MAN_8 := $(patsubst %.txt,%.8,$(MAN_8_TXT))
MAN := $(MAN_8)
MAN_XML := $(patsubst %.txt,%.xml,$(MAN_TXT))

man: $(MAN)

XSLTPROC_OPTS := --param man.justify 1
A2X_OPTS := -d manpage --xsltproc-opts='$(XSLTPROC_OPTS)'

%.8: %.txt
	a2x -f manpage $(A2X_OPTS) $<

clean:
	rm -f $(MAN_XML)

.DEFAULT_GOAL := man
.PHONY: man clean

## fcoe-utils 1.0.18

=== debian/changelog ===
fcoe-utils (1.0.18-1) experimental; urgency=low

  * Initial Release (Closes: #572454)
  * Thanks to Ubuntu packagers. Initial work taken from them

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 20 May 2011 16:38:35 +0530

=== debian/control ===
Source: fcoe-utils
Section: misc
Priority: extra
Maintainer: Debian FCoE Maintainers <pkg-fcoe-general@lists.alioth.debian.org>
Uploaders: Ritesh Raj Sarraf <rrs@debian.org>, Liang Guo <bluestonechina@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libhbaapi-dev, lldpad-dev, pkg-config, autoconf, automake, libnl-dev
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/pkg-fcoe/fcoe-utils.git
Vcs-Browser: http://git.debian.org/?p=pkg-fcoe/pkg-fcoe.git
Homepage: http://www.open-fcoe.org

Package: fcoe-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fibre Channel over Ethernet utilities
 This package allows users to use Fibre Channel over Ethernet. It contains:
 fcoeadm - command line tool for configuring FCoE interfaces 
 coemon - service to configure DCB Ethernet QOS filters, works with dcbd

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@;

override_dh_auto_configure:
	./bootstrap.sh
	./configure --prefix=/usr --sysconfdir=/etc

override_dh_installinit:
	dh_installinit -u 'start 45 S . stop 81 0 1 6 .' --no-start

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog

## fcoe-utils 1.0.21

=== debian/changelog ===
fcoe-utils (1.0.21-1) unstable; urgency=low

  * New upstream release
    - Upload to unstable 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 19 Dec 2011 23:14:41 +0530

=== debian/control ===
Source: fcoe-utils
Section: misc
Priority: extra
Maintainer: Debian FCoE Maintainers <pkg-fcoe-general@lists.alioth.debian.org>
Uploaders: Ritesh Raj Sarraf <rrs@debian.org>, Liang Guo <bluestonechina@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libhbaapi-dev, lldpad-dev (>= 0.9.43), pkg-config, autoconf, automake, libnl-dev, libhbalinux-dev (>= 1.0.13), libhbalinux2 (>= 1.0.13)
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/pkg-fcoe/fcoe-utils.git
Vcs-Browser: http://git.debian.org/?p=pkg-fcoe/pkg-fcoe.git
Homepage: http://www.open-fcoe.org

Package: fcoe-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fibre Channel over Ethernet utilities
 This package allows users to use Fibre Channel over Ethernet. It contains:
 fcoeadm - command line tool for configuring FCoE interfaces 
 fcoemon - service to configure DCB Ethernet QOS filters, works with dcbd

## fcoe-utils 1.0.23

=== debian/changelog ===
fcoe-utils (1.0.23-1) unstable; urgency=low

  * [55bb5a4] fix non-dash shell construct
  * [5dbbead] fix typo in variable name
  * [8ac9a4f] fix dash string comparison operation
  * [a3b17d2] fix lock path in /var/lock
  * [77900ee] fix Vcs header
  * [3871f84] Imported Upstream version 1.0.23
  * [ad7efbf] revive the copyright details

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 28 Apr 2012 16:09:51 +0530

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libhbaapi-dev, lldpad-dev (>= 0.9.43), pkg-config, autoconf, automake, libnl-dev, libhbalinux-dev (>= 1.0.13), libhbalinux2 (>= 1.0.13)
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/pkg-fcoe/fcoe-utils.git
-Vcs-Browser: http://git.debian.org/?p=pkg-fcoe/pkg-fcoe.git
+Vcs-Browser: http://git.debian.org/?p=pkg-fcoe/fcoe-utils.git
 Homepage: http://www.open-fcoe.org
 
 Package: fcoe-utils

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,3 @@
 
 override_dh_installinit:
 	dh_installinit -u 'start 45 S . stop 81 0 1 6 .' --no-start
-
-override_dh_installchangelogs:
-	dh_installchangelogs debian/changelog

## fcoe-utils 1.0.28

=== debian/changelog ===
fcoe-utils (1.0.28-4) experimental; urgency=low

  * [57e3369] Drop old patches, and add new patches from upstream

 -- Ritesh Raj Sarraf <rsarraf@netapp.com>  Wed, 07 Aug 2013 19:10:33 +0530

fcoe-utils (1.0.28-3) experimental; urgency=low

  * [3f1e16d] Drop libnl as fcoe does not use it
  * [1fc3782] Add upstream patches to fix build warning

 -- Ritesh Raj Sarraf <rsarraf@netapp.com>  Thu, 25 Jul 2013 14:35:18 +0530

fcoe-utils (1.0.28-2) unstable; urgency=low

  * [ee6f461] Add patch fix-build-error-Werror.patch to fix build errors
    caused by -Werror

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 23 Jul 2013 21:01:39 +0530

fcoe-utils (1.0.28-1) unstable; urgency=low

  * [612eb6f] Imported Upstream version 1.0.28
  * [40d7afb] Fix Vcs links
  * [45f6981] Enable Hardening Build Flags
  * [7d54af6] fix debian/copyright syntax
  * [05ff2e6] Update libnl build dependency to version 3 family
    (Closes: #688161)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 17 Jul 2013 00:12:18 +0530

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,12 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE=1
+
+# For Hardening
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
 
 %:
 	dh $@;

## fcoe-utils 1.0.29+git0.09caead4

=== debian/changelog ===
fcoe-utils (1.0.29+git0.09caead4-2) unstable; urgency=medium

  * [2e6112d] Update patch to fix build failures on almost all
    architectures

 -- Ritesh Raj Sarraf <rsarraf@netapp.com>  Sun, 23 Feb 2014 01:30:14 +0530

fcoe-utils (1.0.29+git0.09caead4-1) unstable; urgency=medium

  * [e54bb50] Imported Upstream version 1.0.29
  * [7e3fd92] Imported Upstream version 1.0.29+git0.09caead4
    Closes: #724136
  * [048e654] Refresh patches and drop unneeded ones
  * [a769fd2] Clean broken links in clean target

 -- Ritesh Raj Sarraf <rsarraf@netapp.com>  Thu, 20 Feb 2014 20:45:25 +0530

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: Debian FCoE Maintainers <pkg-fcoe-general@lists.alioth.debian.org>
 Uploaders: Ritesh Raj Sarraf <rrs@debian.org>, Liang Guo <bluestonechina@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libhbaapi-dev, lldpad-dev (>= 0.9.43), pkg-config, autoconf, automake, libnl-dev, libhbalinux-dev (>= 1.0.13), libhbalinux2 (>= 1.0.13)
+Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libhbaapi-dev, lldpad-dev (>= 0.9.43), pkg-config, autoconf, automake, libhbalinux-dev (>= 1.0.13), libhbalinux2 (>= 1.0.13), dpkg-dev (>= 1.16.1~)
 Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/pkg-fcoe/fcoe-utils.git
-Vcs-Browser: http://git.debian.org/?p=pkg-fcoe/fcoe-utils.git
+Vcs-Git: git://anonscm.debian.org/pkg-fcoe/fcoe-utils.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fcoe/fcoe-utils.git;a=summary
 Homepage: http://www.open-fcoe.org
 
 Package: fcoe-utils

## fcoe-utils 1.0.29+git20140505

=== debian/changelog ===
fcoe-utils (1.0.29+git20140505-1) unstable; urgency=low

  * Added myself as a maintainer of this package.
  * Updated to include some recent updates from the git repository.
  * Updated to policy version 3.9.6; no changes required.
  * Clarify debian/copyright as much as I can find.

 -- Jacob Luna Lundberg <jacob@gnifty.net>  Thu, 23 Oct 2014 12:30:48 -0700

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: misc
 Priority: extra
 Maintainer: Debian FCoE Maintainers <pkg-fcoe-general@lists.alioth.debian.org>
-Uploaders: Ritesh Raj Sarraf <rrs@debian.org>, Liang Guo <bluestonechina@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libhbaapi-dev, lldpad-dev (>= 0.9.43), pkg-config, autoconf, automake, libhbalinux-dev (>= 1.0.13), libhbalinux2 (>= 1.0.13), dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.2
+Uploaders: Ritesh Raj Sarraf <rrs@debian.org>, Liang Guo <bluestonechina@gmail.com>, Jacob Luna Lundberg <jacob@gnifty.net>
+Build-Depends: debhelper (>= 7), autotools-dev, libhbaapi-dev, lldpad-dev (>= 0.9.43), pkg-config, autoconf, automake, libhbalinux-dev (>= 1.0.13), libhbalinux2 (>= 1.0.13), dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-fcoe/fcoe-utils.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fcoe/fcoe-utils.git;a=summary
 Homepage: http://www.open-fcoe.org

=== debian/rules ===
--- 
+++ 
@@ -17,3 +17,12 @@
 
 override_dh_installinit:
 	dh_installinit -u 'start 45 S . stop 81 0 1 6 .' --no-start
+
+override_dh_auto_clean:
+
+	[ ! -f Makefile ] || make clean;
+
+	# Remove the broken links
+	rm -f compile depcomp install-sh missing ar-lib Makefile.in aclocal.m4 configure Makefile config.* *.spec
+	rm -f include/fcoe_utils_version.h
+	dh_auto_clean

## fcoe-utils 1.0.31%2Bgit20160622.5dfd3e4

=== debian/control ===
Source: fcoe-utils
Section: misc
Priority: optional
Maintainer: Debian FCoE Team <team+fcoe@tracker.debian.org>
Uploaders: Liang Guo <bluestonechina@gmail.com>,
 Jacob Luna Lundberg <jacob@gnifty.net>,
 Valentin Vidic <vvidic@debian.org>,
 tony mancill <tmancill@debian.org>
Build-Depends: debhelper (>= 11), lldpad-dev (>= 0.9.43), libpciaccess-dev, pkg-config, autoconf, automake, dpkg-dev (>= 1.16.1~), systemd
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/fcoe-team/fcoe-utils
Vcs-Git: https://salsa.debian.org/fcoe-team/fcoe-utils.git
Homepage: http://www.open-fcoe.org

Package: fcoe-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Recommends: lldpad
Description: Fibre Channel over Ethernet utilities
 This package allows users to use Fibre Channel over Ethernet. It contains:
 fcoeadm - command line tool for configuring FCoE interfaces
 fcoemon - service to configure DCB Ethernet QOS filters, works with dcbd

## fcoe-utils 1.0.31+git20160622.5dfd3e4

=== debian/changelog ===
fcoe-utils (1.0.31+git20160622.5dfd3e4-2) unstable; urgency=medium

  * Start fcoemon before the network

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Thu, 02 Nov 2017 21:14:13 +0100

fcoe-utils (1.0.31+git20160622.5dfd3e4-1) unstable; urgency=medium

  [ Jacob Luna Lundberg ]
  * Imported Upstream version 1.0.29+git20140505

  [ Valentin Vidic ]
  * New upstream version 1.0.31+git20160622.5dfd3e4
  * Add libpciaccess-dev to Build-Depends
  * Add myself to Uploaders
  * Update Standards-Version
  * Drop Build-Depends on autotools-dev
  * Replace Priority extra with optional
  * Add depends on lsb-base
  * Drop unused directories
  * Rename systemd service to match init script name
  * Add lldpad to Recommends
  * Drop unused patches
  * Refresh patches
  * Add patch to fix gcc build errors
  * Add patch to fix systemd service file
  * Add patch to fix bash completion dir
  * Use dh_missing to check for installed files
  * Add cleanup for lib/.dirstamp
  * Add systemd to Build-Depends to get service files installed
  * Disable non-default start/stop init actions

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Thu, 19 Oct 2017 19:55:44 +0200

=== debian/control ===
Source: fcoe-utils
Section: misc
Priority: optional
Maintainer: Debian FCoE Maintainers <pkg-fcoe-general@lists.alioth.debian.org>
Uploaders: Liang Guo <bluestonechina@gmail.com>, Jacob Luna Lundberg <jacob@gnifty.net>, Valentin Vidic <Valentin.Vidic@CARNet.hr>
Build-Depends: debhelper (>= 10), lldpad-dev (>= 0.9.43), libpciaccess-dev, pkg-config, autoconf, automake, dpkg-dev (>= 1.16.1~), systemd
Standards-Version: 4.1.1
Vcs-Git: git://anonscm.debian.org/pkg-fcoe/fcoe-utils.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fcoe/fcoe-utils.git;a=summary
Homepage: http://www.open-fcoe.org

Package: fcoe-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Recommends: lldpad
Description: Fibre Channel over Ethernet utilities
 This package allows users to use Fibre Channel over Ethernet. It contains:
 fcoeadm - command line tool for configuring FCoE interfaces 
 fcoemon - service to configure DCB Ethernet QOS filters, works with dcbd

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,12 @@
 	./bootstrap.sh
 	./configure --prefix=/usr --sysconfdir=/etc
 
+override_dh_auto_install:
+	dh_auto_install
+	mv debian/fcoe-utils/lib/systemd/system/fcoe.service debian/fcoe-utils/lib/systemd/system/fcoe-utils.service
+
 override_dh_installinit:
-	dh_installinit -u 'start 45 S . stop 81 0 1 6 .' --no-start
+	dh_installinit --no-start
 
 override_dh_auto_clean:
 
@@ -24,5 +28,8 @@
 
 	# Remove the broken links
 	rm -f compile depcomp install-sh missing ar-lib Makefile.in aclocal.m4 configure Makefile config.* *.spec
-	rm -f include/fcoe_utils_version.h
+	rm -f include/fcoe_utils_version.h lib/.dirstamp
 	dh_auto_clean
+
+override_dh_missing:
+	dh_missing --fail-missing

## fcoe-utils 1.0.32%2Bgit20190507.9834b34

=== debian/changelog ===
fcoe-utils (1.0.32+git20190507.9834b34-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS (Closes: #935071)
    Let dh_auto_configure pass --host to ./configure

 -- Valentin Vidic <vvidic@debian.org>  Mon, 19 Aug 2019 10:49:38 +0200

fcoe-utils (1.0.32+git20190507.9834b34-1) unstable; urgency=medium

  * New upstream version 1.0.32+git20190507.9834b34
  * Fix FTBFS with GCC-9 (Closes: #925677)
  * Update Standards-Version to 4.4.0
  * Update Homepage to use github
  * Update watch file to use github

 -- Valentin Vidic <vvidic@debian.org>  Fri, 16 Aug 2019 23:39:25 +0200

fcoe-utils (1.0.31+git20160622.5dfd3e4-5) unstable; urgency=medium

  * Update GCC patch for warnings on ppc64el (Closes: #907510)
  * Fix stderr output in tests on i386 and arm64 (Closes: #907509)
  * Update Standards-Version to 4.2.0
  * Update my email address in Uploaders

 -- Valentin Vidic <vvidic@debian.org>  Wed, 29 Aug 2018 19:57:38 +0200

fcoe-utils (1.0.31+git20160622.5dfd3e4-4) unstable; urgency=medium

  [ Valentin Vidic ]
  * Update patch to fix gcc build errors (Closes: #897748)
  * Use https in debian/copyright Format
  * Fix spelling errors reported by lintian
  * Add Documentation key for systemd service
  * Update Standards-Version to 4.1.5

 -- tony mancill <tmancill@debian.org>  Wed, 18 Jul 2018 21:01:35 -0700

fcoe-utils (1.0.31+git20160622.5dfd3e4-3) unstable; urgency=medium

  [ Valentin Vidic ]
  * Cleanup trailing whitespace in debian files
  * Update debhelper to version 11
  * Add debian/tests for fcoeadm and fcoemon

  [ tony mancill ]
  * Update Vcs fields for migration from Alioth -> Salsa
  * Update FCoE team address (Closes: #899507)

 -- tony mancill <tmancill@debian.org>  Sat, 23 Jun 2018 09:39:48 -0700

=== debian/control ===
Source: fcoe-utils
Section: misc
Priority: optional
Maintainer: Debian FCoE Team <team+fcoe@tracker.debian.org>
Uploaders: Liang Guo <bluestonechina@gmail.com>,
 Jacob Luna Lundberg <jacob@gnifty.net>,
 Valentin Vidic <vvidic@debian.org>,
 tony mancill <tmancill@debian.org>
Build-Depends: debhelper (>= 11), lldpad-dev (>= 0.9.43), libpciaccess-dev, pkg-config, autoconf, automake, dpkg-dev (>= 1.16.1~), systemd
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/fcoe-team/fcoe-utils
Vcs-Git: https://salsa.debian.org/fcoe-team/fcoe-utils.git
Homepage: https://github.com/morbidrsa/fcoe-utils

Package: fcoe-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Recommends: lldpad
Description: Fibre Channel over Ethernet utilities
 This package allows users to use Fibre Channel over Ethernet. It contains:
 fcoeadm - command line tool for configuring FCoE interfaces
 fcoemon - service to configure DCB Ethernet QOS filters, works with dcbd

=== debian/watch ===
version=3
https://github.com/morbidrsa/fcoe-utils/releases/ .*archive/v([^3-][\d\.]*.*)\.tar\.gz

## fcoe-utils 1.0.32+git20190507.9834b34

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 override_dh_auto_configure:
 	./bootstrap.sh
-	./configure --prefix=/usr --sysconfdir=/etc
+	dh_auto_configure
 
 override_dh_auto_install:
 	dh_auto_install

## fcoe-utils 1.0.33+git20200925.848bcc6

=== debian/changelog ===
fcoe-utils (1.0.33+git20200925.848bcc6-1) unstable; urgency=medium

  * New upstream version 1.0.33+git20200925.848bcc6
  * Update watch file
  * Use debhelper v13
  * Use Standards-Version 4.5.1
  * Refresh patches for new version
  * Cleanup copyright file
  * Define Rules-Requires-Root
  * Update homepage on GitHub
  * Remove Liang Guo from Uploaders (Closes: #961616)

 -- Valentin Vidic <vvidic@debian.org>  Thu, 17 Dec 2020 18:08:10 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,24 @@
 Section: misc
 Priority: optional
 Maintainer: Debian FCoE Team <team+fcoe@tracker.debian.org>
-Uploaders: Liang Guo <bluestonechina@gmail.com>,
+Uploaders:
  Jacob Luna Lundberg <jacob@gnifty.net>,
  Valentin Vidic <vvidic@debian.org>,
  tony mancill <tmancill@debian.org>
-Build-Depends: debhelper (>= 11), lldpad-dev (>= 0.9.43), libpciaccess-dev, pkg-config, autoconf, automake, dpkg-dev (>= 1.16.1~), systemd
-Standards-Version: 4.4.0
+Build-Depends:
+ autoconf,
+ automake,
+ debhelper-compat (= 13),
+ dpkg-dev (>= 1.16.1~),
+ libpciaccess-dev,
+ lldpad-dev (>= 0.9.43),
+ pkg-config,
+ systemd,
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/fcoe-team/fcoe-utils
 Vcs-Git: https://salsa.debian.org/fcoe-team/fcoe-utils.git
-Homepage: https://github.com/morbidrsa/fcoe-utils
+Homepage: https://github.com/openSUSE/fcoe-utils
 
 Package: fcoe-utils
 Architecture: any

=== debian/watch ===
version=4
https://github.com/openSUSE/fcoe-utils/releases/ .*archive/v([^3-][\d\.]*.*)\.tar\.gz

## fcoe-utils 1.0.34

=== debian/changelog ===
fcoe-utils (1.0.34-6) unstable; urgency=medium

  * Add 07-armhf-t64.patch to address FTBFS on armhf (Closes: #1069423)
  * Bump Standards-Version to 4.7.0
  * Freshen years in debian/copyright
  * Update B-D on pkg-config to pkgconf

 -- tony mancill <tmancill@debian.org>  Mon, 27 May 2024 15:20:23 -0700

fcoe-utils (1.0.34-5) unstable; urgency=medium

  * Switch Build-Dep on systemd to systemd-dev (Closes: #1060486)

 -- tony mancill <tmancill@debian.org>  Fri, 12 Jan 2024 20:19:26 -0800

fcoe-utils (1.0.34-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTBFS when systemdsystemunitdir variable changes in systemd.pc
    (Closes: #1052311)

  [ tony mancill ]
  * Apply patch for FTBFS with GCC-13 on i386 (Closes: #1053685)

 -- tony mancill <tmancill@debian.org>  Sun, 05 Nov 2023 11:11:34 -0800

fcoe-utils (1.0.34-3) unstable; urgency=medium

  * Freshen years in debian/copyright
  * Break circular dependency with lldpad.service (Closes: #1051411)
  * Bump Standards-Version to 4.6.2 (no changes)
  * Freshen years in debian/copyright
  * Depend on sysvinit-utils instead of deprecated lsb-base
  * Remove obsolete syslog target from systemd unit file

 -- tony mancill <tmancill@debian.org>  Sun, 01 Oct 2023 19:29:35 -0700

fcoe-utils (1.0.34-2) unstable; urgency=medium

  * Fix FTBFS w/GCC-12 (Closes: #1012922)
  * Bump Standards-Version to 4.6.1

 -- tony mancill <tmancill@debian.org>  Sun, 24 Jul 2022 20:05:25 -0700

fcoe-utils (1.0.34-1) unstable; urgency=medium

  * New upstream release 1.0.34
    - Addresses FTBFS with GCC-11 (Closes: #984120)
  * Update debian/watch for tag format on github
  * Bump Standards-Version to 4.6.0

 -- tony mancill <tmancill@debian.org>  Sat, 20 Nov 2021 13:38:59 -0800

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
  dpkg-dev (>= 1.16.1~),
  libpciaccess-dev,
  lldpad-dev (>= 0.9.43),
- pkg-config,
- systemd,
-Standards-Version: 4.5.1
+ pkgconf,
+ systemd-dev,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/fcoe-team/fcoe-utils
 Vcs-Git: https://salsa.debian.org/fcoe-team/fcoe-utils.git
@@ -23,7 +23,7 @@
 
 Package: fcoe-utils
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
+Depends: ${shlibs:Depends}, ${misc:Depends}, sysvinit-utils (>= 3.05-4~)
 Recommends: lldpad
 Description: Fibre Channel over Ethernet utilities
  This package allows users to use Fibre Channel over Ethernet. It contains:

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# For Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

systemdsystemunitdir=$(shell pkg-config --variable=systemdsystemunitdir systemd)

%:
	dh $@;

override_dh_auto_configure:
	./bootstrap.sh
	dh_auto_configure

override_dh_auto_install:
	dh_auto_install
	mv debian/fcoe-utils/${systemdsystemunitdir}/fcoe.service debian/fcoe-utils/${systemdsystemunitdir}/fcoe-utils.service

override_dh_installinit:
	dh_installinit --no-start

override_dh_auto_clean:
	[ ! -f Makefile ] || make clean;

	# Remove the broken links
	rm -f compile depcomp install-sh missing ar-lib Makefile.in aclocal.m4 configure Makefile config.* *.spec
	rm -f include/fcoe_utils_version.h lib/.dirstamp
	dh_auto_clean

=== debian/tests/control ===
Restrictions: needs-root
Tests: fcoeadm

Restrictions: needs-root, isolation-machine
Tests: fcoemon
